Subject: Ticket Assigned - Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund?
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 17 Jul 2022 10:45:51 +0000

Hi Maya Shamma,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Feedback for:  I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Product  not good https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4622029